tt_pattern_iarg_add(library call)

NAME
tt_pattern_iarg_add — add a new integer argument to a pattern

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_iarg_add(
Tt_pattern m,
Tt_mode n,
const char *vtype,
int value);

DESCRIPTION

The tt_pattern_iarg_add function adds a new argument to a pattern and sets the value to a given integer.

Add all arguments before the pattern is registered with the ToolTalk service.

The m argument is the opaque handle for the pattern involved in this operation. The n argument specifies who (sender, handler, observers) writes and reads a message argument. The following modes are defined:

TT_IN
    The argument is written by the sender and read by the handler and any observers.

TT_OUT
    The argument is written by the handler and read by the sender and any reply observers.

TT_INOUT
    The argument is written by the sender and the handler and read by all.

The vtype argument describes the type of argument data being added. NULL matches any value. The value argument is the value to be added.

RETURN VALUE

Upon successful completion, the tt_pattern_iarg_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_MODE
    The specified Tt_mode is invalid.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_register(3).